> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Enrich Alert

> Re-trigger the enrichment pipeline for an alert.

Queues the enrich_alert task which re-runs the full 3-pass indicator
extraction + enrichment pipeline. Safe to call multiple times (idempotent).



## OpenAPI

````yaml POST /v1/alerts/{alert_uuid}/enrich
openapi: 3.1.0
info:
  title: Calseta
  description: SOC data platform for security agent consumption
  version: dev
servers: []
security: []
paths:
  /v1/alerts/{alert_uuid}/enrich:
    post:
      tags:
        - alerts
      summary: Enrich Alert
      description: >-
        Re-trigger the enrichment pipeline for an alert.


        Queues the enrich_alert task which re-runs the full 3-pass indicator

        extraction + enrichment pipeline. Safe to call multiple times
        (idempotent).
      operationId: enrich_alert_v1_alerts__alert_uuid__enrich_post
      parameters:
        - name: alert_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Alert Uuid
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataResponse_dict_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DataResponse_dict_:
      properties:
        data:
          additionalProperties: true
          type: object
          title: Data
        meta:
          additionalProperties: true
          type: object
          title: Meta
      type: object
      required:
        - data
      title: DataResponse[dict]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````